/**
 * @function _bud
 */
'use strict'

const pkg = require('../package.json')
const stringcase = require('stringcase')

/** @lends _bud */
function _bud (tmpl, name, params) {
  const suffix = params.suffix || 'consts'
  return {
    force: false,
    mode: '644',
    path: `${stringcase.snakecase(name)}_${suffix}.js`,
    tmpl: tmpl,
    data: {
      name: name,
      suffix: suffix,
      params: params,
      generator: 'coz',
      today: new Date().toLocaleDateString(),
      pkg: pkg
    }
  }
}

module.exports = _bud
