/**
 * apeman bud for seed projects.
 * @memberof module:apeman-bud-seed/lib
 * @function setup
 * @param {object} params - Template params.
 * @returns {object} - Coz bud configuration.
 */

'use strict'

const assert = require('assert')
const _bud = require('./_bud')
const _tmpl = require('./_tmpl')

/** @lends setup */
function setup (params = {}) {

  let { name } = params
  assert(name, 'params.name is required.')

  return [].concat(name).map((name) => {
    let tmpl = _tmpl(name)
    return _bud(tmpl, name, Object.assign({}, params))
  })
}

module.exports = setup
